Skip to main content
GET
/
api
/
v1
/
custom_pipelines
/
{lookup_key}
Get Custom Pipeline Status
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines/{lookup_key}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "status": "<string>",
  "request_description": "<string>",
  "sent_at": "<string>",
  "pipeline_id": "<string>",
  "success": true,
  "error_message": "<string>",
  "runtime": 123,
  "completed_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

lookup_key
string
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

Response schema for checking the status of a custom pipeline request.

status
string
required

Current status: 'processing', 'completed', or 'failed'

request_description
string
required

Original request description

sent_at
string
required

ISO timestamp when request was submitted

pipeline_id
string | null

Unique ID for executing this pipeline (format: cp_XXXXX). Only available when status='completed' and success=True.

success
boolean | null

Whether generation succeeded

error_message
string | null

Error message if failed

runtime
number | null

Execution time in seconds

completed_at
string | null

ISO timestamp when request completed